Get targeting
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaignId": "<string>",
"campaignType": "<string>",
"audiences": [
{
"id": "<string>",
"name": "<string>",
"audienceId": "<string>",
"status": "not_generated",
"error": "<string>",
"updatedAt": "<string>",
"items": [
{
"section": "<string>",
"label": "<string>",
"text": "<string>",
"matchType": "<string>",
"source": "<string>"
}
]
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Targeting
Get targeting
Each audience’s keywords, segments, topics and websites. Everything listed is in the campaign’s targeting and goes to Google Ads on the next sync.
Scope: campaigns:read.
GET
/
campaigns
/
{campaignId}
/
targeting
Get targeting
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}/targeting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaignId": "<string>",
"campaignType": "<string>",
"audiences": [
{
"id": "<string>",
"name": "<string>",
"audienceId": "<string>",
"status": "not_generated",
"error": "<string>",
"updatedAt": "<string>",
"items": [
{
"section": "<string>",
"label": "<string>",
"text": "<string>",
"matchType": "<string>",
"source": "<string>"
}
]
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Path Parameters
Campaign id.
Pattern:
^[a-f0-9]{24}$
